
uniform mat4 uWorldViewProjMatrix;

attribute vec3 aPosition;
attribute vec2 aTexCoord;

varying vec2 vTexCoord;

void main() {
	gl_Position = uWorldViewProjMatrix * vec4(aPosition, 1.0);
	vTexCoord = aTexCoord;
}

// #SplitMarker

precision mediump float;

uniform float uRampLevel;

uniform sampler2D sColorMap;
uniform sampler2D sRampMap;

varying vec2 vTexCoord;

void main() {
	vec4 color = texture2D(sColorMap, vTexCoord);
	vec4 ramp = texture2D(sRampMap, vec2(uRampLevel, 0.0));
	gl_FragColor = color * ramp;
}
