
uniform mat4 uWorldMatrix;
uniform mat4 uWorldViewProjMatrix;

attribute vec3 aPosition;
attribute vec2 aTexCoord;

varying vec2 vTexCoord;
varying float vCoordZ;

void main() {
    vec4 position = vec4(aPosition, 1.0);
	gl_Position = uWorldViewProjMatrix * position;
	vec4 worldPosition = uWorldMatrix * position;
	vCoordZ = worldPosition.z;
	vTexCoord = aTexCoord;
}

// #SplitMarker

precision mediump float;

uniform vec4 uReflColor;

uniform sampler2D sBaseMap;

const float cDistanceMax = 15.0;
const float cBlendDistance = 10.0;

varying vec2 vTexCoord;
varying float vCoordZ;

void main() {
	vec4 baseColor = texture2D(sBaseMap, vTexCoord);
	float blend = clamp((vCoordZ - cDistanceMax) / cBlendDistance, 0.0, 1.0);
	gl_FragColor = mix(baseColor, uReflColor, blend);
}
